local AddonName, a = ...
local L = a.Localize
local s = SpellFlashAddon
local c = BittensSpellFlashLibrary

a.Rotations = {}
s.RegisterModuleSpamFunction(AddonName, function()
	c.Flash(a)
end)

-------------------------------------------------------------------- Brewmaster
local uncontrolledMitigationBuffs = c.GetIDs()
a.Rotations.Brewmaster = {
	Spec = 1,
	OffSwitch = "brewmaster_off",
	
	FlashInCombat = function()
		c.FlashAll("Purifying Brew", "Spear Hand Strike")
		c.RotateCooldowns(
			uncontrolledMitigationBuffs,
			"Guard",
			"Fortifying Brew",
			"Elusive Brew")
--c.Debug("Flash",
		c.PriorityFlash(
			"Touch of Death",
			"Blackout Kick for Shuffle",
			"Keg Smash for Dizzying Haze",
			"Expel Harm",
			"Keg Smash",
			"Jab for Brewmaster",
			"Flying Serpent Kick 1")
--)
	end,
	
	FlashAlways = function(self)
		c.FlashAll("Stance of the Sturdy Ox", "Legacy of the Emperor")
--		self.FlashInCombat()
	end,
}

-------------------------------------------------------------------- Windwalker
a.Rotations.Windwalker = {
	Spec = 3,
	OffSwitch = "windwalker_off",
	
	FlashInCombat = function()
		c.FlashAll("Spear Hand Strike")
--c.Debug("Flash",
		c.PriorityFlash(
			"Touch of Death",
			"Tiger Palm for Tiger Power",
			"Rising Sun Kick for Debuff",
			"Expel Harm at Cap",
			"Jab at Cap",
			"Tigereye Brew",
			"Energizing Brew",
			"Rising Sun Kick",
			"Fists of Fury",
			"Blackout Kick under Combo Breaker",
			"Tiger Palm under Combo Breaker",
			"Blackout Kick",
			"Expel Harm",
			"Jab",
			"Flying Serpent Kick 1")
--)
	end,
	
	FlashAlways = function(self)
		c.FlashAll("Stance of the Fierce Tiger", "Legacy of the Emperor")
--		self.FlashInCombat()
	end,
}
